:root {
    --marineBlue: hsl(213, 96%, 18%);
    --purplishBlue: hsl(243, 100%, 62%);
    --pastelBlue: hsl(228, 100%, 84%);
    --lightBlue: hsl(206, 94%, 87%);
    --strawberryRed: hsl(354, 84%, 57%);
    --coolGray: hsl(231, 11%, 70%);
    --lightGray: hsl(229, 24%, 87%);
    --magnolia: hsl(217, 100%, 97%);
    --alabaster: hsl(231, 100%, 99%);
    --white: hsl(0, 0%, 100%);
}

.doctor-appointment {
    p {
        margin: 0;
    }

    * {
        line-height: initial;
        font-family: "Montserrat", Arial, sans-serif;
    }

    .label2 {
        display: unset;
        padding: unset;
        font-size: unset;
        font-weight: unset;
        line-height: initial;
        color: unset;
        text-align: unset;
        white-space: unset;
        vertical-align: unset;
        border-radius: unset;
        background: unset;
        height: unset;
    }

    .formParentWrapper {
        display: flex;
        flex-direction: row;
        border-radius: 14px;
        padding: 12px;
        background-color: var(--white);
        margin-top: 20px;
        position: relative;
    }

    .steps {
        display: flex;
        flex-direction: column;
        gap: 24px;
        padding: 28px;
        background-image: url(assets/images/bg-sidebar-desktop.svg);
        background-size: cover;
        background-repeat: no-repeat;
        background-position-y: center;
        border-radius: 12px;
        padding-block: 32px;
        min-width: 250px;
    }

    @media all and (max-width: 730px) {
        .formParentWrapper {
            display: flex;
            flex-direction: column;
            width: 100%;
            border-radius: 14px;
            padding: 0;
            margin-top: 0px;
            background-color: #384180 !important;
        }

        .steps {
            display: flex;
            flex-direction: row;
            align-items: flex-start !important;
            justify-content: center !important;
            gap: 0;
            width: 100% !important;
            padding-inline: 28px;
            background-image: url(assets/images/bg-sidebar-mobile.svg);
            background-repeat: repeat-x;
            background-position: top;
            background-size: cover;
            border-radius: 0;
            min-height: 180px !important;
        }

        .rightSectionParent {
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            width: 100%;
            align-self: center;
            border-radius: 12px;
            gap: 24px;
        }

        .rightSectionWrapper {
            width: 92% !important;
            align-self: center;
            background-color: var(--white);
            border-radius: 12px;
            padding-block: 32px;
            padding-bottom: 40px;
        }

        .mainForm {
            display: flex;
            flex-direction: column;
            gap: 24px;
            padding-inline: 24px;
        }

        .info {
            display: none;
        }

        .btnWrapper {
            width: 100% !important;
            background-color: var(--white);
            padding-bottom: 0 !important;
            padding-inline: 14px;
            padding-block: 16px !important;
        }

        .label2 {
            display: none;
        }
    }

    .step {
        width: 32px;
        height: 32px;
        border-radius: 50%;
        align-items: center;
        display: flex;
        flex-direction: row;
        justify-content: center;
        border: 1px solid var(--white);
        color: white;
    }

    .step.active {
        background-color: var(--lightBlue);
        border: 1.875px solid var(--lightBlue);
        color: var(--marineBlue);
    }

    .stepInfo {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 20px;
    }

    .label2 {
        font-size: 10px;
        color: var(--lightGray);
        font-weight: 400;
    }

    .info {
        margin-top: 4px;
        color: var(--white);
        font-weight: 550;
        font-size: 12px;
        line-height: initial;
        letter-spacing: 1px;
    }

    .rightSectionParent {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        flex: 1;

    }
    .rightSectionParent>.preloader {
        position: absolute;
        top: 50%;
        left: 50%;

    }

    .rightSectionWrapper {
        margin-top: 32px;
        margin-bottom: 32px;
        width: 75%;
        align-self: center;
    }

    & .form.captcha {
        gap: 0;
    }

    .formContainer {
        display: flex;
        flex-direction: column;
        gap: 16px;
    }

    .mainForm {
        display: flex;
        flex-direction: column;
        gap: 24px;
    }

    .personal {
        font-size: 36px;
        font-weight: 700;
        font-variant: normal;
        margin-bottom: 8px;
        color: var(--marineBlue);
    }

    .personalInfo {
        color: var(--coolGray);
        font-size: 14px;
        font-weight: 450;
    }

    .form {
        display: flex;
        flex-direction: column;
        gap: 24px;
    }

    .fieldParent input,
    .fieldParent select {
        width: 100%;
        padding-inline: 8px;
        padding-block: 12px;
        border-radius: 8px;
        border: 1.5px solid var(--lightGray);
        outline: none;
        font-size: 14px;
        font-weight: 600;
        color: var(--marineBlue);
        cursor: pointer;
    }

    .fieldParent input:focus,
    .fieldParent select:focus {
        border: 1.5px solid var(--purplishBlue);
    }

    .fieldParent input::placeholder {
        color: var(--coolGray);
        font-size: 14px;
        font-weight: 550;
    }

    .fieldParent select:disabled {
        background-color: var(--alabaster);
        color: var(--coolGray);
        cursor: not-allowed;
    }

    .labelErrorParent {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 0.5rem;
    }

    label {
        font-weight: 500;
        font-size: 14px !important;
        color: var(--marineBlue) !important;
    }

    .error {
        display: none;
        color: var(--strawberryRed);
        font-weight: 600;
    }

    .showError {
        display: block;
        font-size: 14px;
    }

    .borderError {
        border: 1.875px solid var(--strawberryRed) !important;
    }

    .hide {
        display: none;
    }

    .hideBtn {
        visibility: hidden;
    }

    .btnWrapper {
        width: 75%;
        display: flex;
        flex-direction: row;
        align-items: center;
        align-self: center;
        justify-content: space-between;
        padding-bottom: 16px;
        margin-top: 40px;
    }

    .next {
        font-size: 14px;
        padding-inline: 20px;
        height: 44px;
        border-radius: 5px;
        font-weight: 700;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        transition: all ease-out 0.2s;
    }

    .next.confirm {
        background-color: var(--purplishBlue) !important;
        border: 1px solid var(--purplishBlue) !important;
    }

    .prev {
        color: var(--coolGray);
        font-weight: 700;
        cursor: pointer;
        transition: all ease-out 0.2s;
    }

    .prev:hover {
        color: var(--marineBlue);
    }

    .prev:active,
    button:active {
        transform: translateY(2px);
    }

    .billingContainer {
        display: flex;
        flex-direction: column;
        gap: 16px;
        border-radius: 8px;
        margin-top: 16px;
    }

    .billingParent {
        display: flex;
        width: 100%;
        flex-direction: column;
        padding: 24px;
        background-color: var(--magnolia);
        border-radius: 8px;
    }

    .planInfo {
        display: flex;
        justify-content: space-between;
        border-bottom: 1.875px solid var(--lightGray);
        padding-bottom: 20px;
        flex-direction: column;
        gap: 10px;
        margin-top: 20px;
    }

    .planInfo p {
        margin: 0;
    }

    .selectedPlan {
        font-weight: 700;
        font-size: 20px;
        color: var(--marineBlue);
    }

    .changeLink {
        text-decoration: underline;
        cursor: pointer;
        color: var(--coolGray);
        font-weight: 500;
        padding-top: 4px;
    }

    .changeLink:hover {
        color: var(--purplishBlue);
    }

    .formError {
        background-color: var(--strawberryRed);
        color: var(--white);
        padding: 12px;
        border-radius: 8px;
        font-size: 14px;
        font-weight: 500;
        text-align: center;
        opacity: 0;
        transition: opacity 0.3s ease-in-out;
        margin-top: 20px;
    }

    .formError:not(.hide) {
        opacity: 1;
    }

    .captcha-wrapper {
        display: flex;
        gap: 10px;
        align-items: center;
    }

    .captcha-image {
        width: 175px;
        height: 65px;
        cursor: pointer;
    }

    .captcha-value {
        height: 100%;
    }


    .preloader {
        width: 175px;
        height: 65px;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='175' height='65' viewBox='0 62.855 200 74.29'%3E%3Ccircle fill='%237300FF' stroke='%237300FF' stroke-width='2' r='10' cx='60' cy='100'%3E%3Canimate attributeName='opacity' calcMode='spline' dur='2' values='1;0;1;' keySplines='.5 0 .5 1;.5 0 .5 1' repeatCount='indefinite' begin='-.4'%3E%3C/animate%3E%3C/circle%3E%3Ccircle fill='%237300FF' stroke='%237300FF' stroke-width='2' r='10' cx='100' cy='100'%3E%3Canimate attributeName='opacity' calcMode='spline' dur='2' values='1;0;1;' keySplines='.5 0 .5 1;.5 0 .5 1' repeatCount='indefinite' begin='-.2'%3E%3C/animate%3E%3C/circle%3E%3Ccircle fill='%237300FF' stroke='%237300FF' stroke-width='2' r='10' cx='140' cy='100'%3E%3Canimate attributeName='opacity' calcMode='spline' dur='2' values='1;0;1;' keySplines='.5 0 .5 1;.5 0 .5 1' repeatCount='indefinite' begin='0'%3E%3C/animate%3E%3C/circle%3E%3C/svg%3E");
    }


    .thankParent {
        display: flex;
        flex-direction: column;

        gap: 12px;

        ul {
            margin-bottom: 0;
        }

        .billingContainer{
            margin-top: 0;
        }
        h2,h6{
            margin: 10px 0;
        }
        p{
            margin: 10px 0;
        }
    }

    .thankParent img {
        width: 64px;
        height: 64px;
        align-self: center;
    }


    .btn-preloader {
        display: inline-block;
        vertical-align: middle;
        margin-left: 8px;
    }
    .btn-preloader.hide {
        display: none;
    }
    .preloader-circle {
        border: 4px solid #f3f3f3;
        border-top: 4px solid #3498db;
        border-radius: 50%;
        width: 20px;
        height: 20px;
        animation: spin 1s linear infinite;
        display: inline-block;
    }

    .preloader-wrapper:before {
        backdrop-filter: blur(10px);
    }
    .preloader-wrapper {
        position: absolute;
        inset: 0;
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        opacity: 1;
        z-index: 1;
        backdrop-filter: blur(4px);
        background-color: rgba(255, 255, 255, 0.6);
        flex-direction: column;
        font-weight: bold;
        font-size: 24px;
        color: #000;
    }
    .preloader-wrapper.hide {
        position: absolute;
        inset: 0;
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        opacity: 0;
        z-index: -1;

    }
}


@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}